﻿using LayoutDesignerSDK;
using System;
using Xamarin.Forms;
using Xamarin.Forms.Xaml;

namespace LayoutDesignerSDK_sample
{
    //Interface for native calls.
    public interface IPrintSample
    {
        void init_SDK();
        int PrintFile(string file, string ip, int port, int num);
        int MakeFile(string file);
        int RegistMacro(string ip, int port, string file);
        void ErrorMessage(string error, int code);
        string Version();
    }

    public partial class App : Application
    {
        public App()
        {
            InitializeComponent();

            MainPage = new MainPage();
        }

        protected override void OnStart()
        {
        }

        protected override void OnSleep()
        {
        }

        protected override void OnResume()
        {
        }
    }
}
